/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.Services;

import java.util.ArrayList;
import pe.siso.horario.Beans.ZonaSede;
import pe.siso.horario.DAO.DAOFactory;
import pe.siso.horario.DAO.ZonaSedeDAO;

/**
 *
 * @author sistem02user
 */
public class ZonaSedeServices {
    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    ZonaSedeDAO objZonaSedeDAO= fabrica.getZonaSedeDAO();
    
    public ArrayList<ZonaSede> listarSedesZonas(){
        ArrayList<ZonaSede> lista = null;
        try {
            lista = objZonaSedeDAO.listarSedesZonas();
        } catch (Exception e) {
           e.printStackTrace();
        }
        return lista;
    }
    
    public int registrarAsignacion(String codigoZona, String codigoSede){
        int dato=0;
        try {
            dato = objZonaSedeDAO.registrarAsignacion(codigoZona, codigoSede);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public int actualizarZonaSede(String codigoSede, String codigoZona){
        int dato=0;
        try {
            dato = objZonaSedeDAO.actualizarZonaSede(codigoSede, codigoZona);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public ArrayList<ZonaSede> listarSedesZonas(String codigoZona){
        ArrayList<ZonaSede> lista = null;
        try {
            lista = objZonaSedeDAO.listarSedesZonas(codigoZona);
        } catch (Exception e) {
           e.printStackTrace();
        }
        return lista;
    }
    
    public ArrayList<ZonaSede> listarSedesConZona(String codigoZona){
        ArrayList<ZonaSede> lista = null;
        try {
            lista = objZonaSedeDAO.listarSedesConZona(codigoZona);
        } catch (Exception e) {
           e.printStackTrace();
        }
        return lista;
    }
    
    public int eliminarZonaSede(String codigoSede){
        int dato = 0;
        try {
            dato = objZonaSedeDAO.eliminarZonaSede(codigoSede);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
}
